/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   IBM XL C/C++ Advanced Edition for Blue Gene/L, V9.0              */
/*   5799-HJH                                                         */
/*   Copyright IBM Corp. 2005, 2007.                                  */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/

#ifndef __IBM_VACPP_complex_h
#define __IBM_VACPP_complex_h 1

#if __cplusplus
  /* C++ */
  #if  __C99_COMPLEX_HEADER__
     #warning The <complex.h> is a deprecated header file. Use <complex> for C++ includes, or use the full path name for the C99 style complex.h
  #endif
  #include_next <complex.h>
#else
  /* C */
  #include_next <complex.h>
  #if __xlC__ >= 0x0800 
        __extension__ extern long double cabsl(long double  _Complex) __attribute__((__IBMBuiltin__));
        __extension__ extern float cabsf(float _Complex)  __attribute__((__IBMBuiltin__));
        __extension__ extern double cabs(double _Complex) __attribute__((__IBMBuiltin__));
  #endif
#endif
 
#endif
