/*
 * IBM VisualAge C++ Professional, Version 5.0
 *
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 1998. All Rights Reserved.
 *
 * The following [enclosed] code is sample code created by IBM
 * Corporation.  This sample code is not part of any standard IBM product
 * and is provided to you solely for the purpose of assisting you in the
 * development of your applications.  The code is provided 'AS IS',
 * without warranty of any kind.  IBM shall not be liable for any damages
 * arising out of your use of the sample code, even if they have been
 * advised of the possibility of such damages.
 */

#include <algorithm>
#include <string>
#include <iostream>

using namespace std;

int main()
{
	string s = "abababXXXXXXXXXbbba";

	string::iterator p = search_n(s.begin(), s.end(), 8, 'X');

	if (p == s.end())
		cout << "not found" << endl;
	else
		cout << "found at offset " << p - s.begin() << endl;

	return 0;
}
