/**********************************************************************/
/*                                                                    */
/* COMPONENT_NAME:  smprt (SMP Runtime Library)                       */
/* COMPONENT_ID:    5799-TRG, 5799-TRH                                */
/*                                                                    */
/*  IBM XL C/C++ Advanced Edition for Blue Gene/L, V9.0               */
/*  5799-HJH                                                          */
/*  IBM XL Fortran Advanced Edition for Blue Gene/L, V11.1            */
/*  5799-HJG                                                          */
/*                                                                    */
/* Licensed Materials - Property of IBM                               */
/* Copyright IBM Corp. 2006, and by others.                           */
/* All Rights Reserved.                                               */
/*                                                                    */
/* IBM is a registered trademark of IBM Corp. in the U.S., other      */
/* countries or both. Linux is a trademark of Linus Torvalds in       */
/* the United States, other countries, or both.  US Government        */
/* Users Restricted Rights - Use, duplication or disclosure           */
/* restricted by GSA ADP Schedule Contract  with IBM Corp.            */
/*                                                                    */
/**********************************************************************/

#ifdef __cplusplus
extern "C" {
#endif


#if !defined(_OMP_PTHREAD_H_)
#define	_OMP_PTHREAD_H_
/* The #endif for this is at the end of the file. */

#if !defined(__blrts__)
#include_next <pthread.h>
#else
/* BLRTS does not support pthread, but omp.h requires a typedef for pthread_t,
 * so we supply a dummy typedef here.
 */
typedef unsigned long int pthread_t;
#endif

#endif  /* !defined(_OMP_PTHREAD_H_) */


#ifdef __cplusplus
}
#endif

